Bug 1659807 - ruby:2.5 FTBFS
Summary: ruby:2.5 FTBFS
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: ruby-2.5-module
Version: 8.0
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: rc
: 8.0
Assignee: Jun Aruga
QA Contact: David Jež
URL:
Whiteboard:
Depends On: 1666721
Blocks: 1658633
TreeView+ depends on / blocked
 
Reported: 2018-12-16 16:59 UTC by Petr Šabata
Modified: 2019-06-14 02:02 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-14 02:02:11 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description Petr Šabata 2018-12-16 16:59:59 UTC
The ruby:2.5 module fails to build from source.

The TZ tests are failing consistently:
https://brewweb.engineering.redhat.com/brew/buildinfo?buildID=815751

[17378/17386] YAMLStoreTest#test_yaml_store_files_are_accessed_as_binary_files = 0.21 s
  1) Failure:
TestTimeTZ#test_gen_Asia_Tokyo_50 [/builddir/build/BUILD/ruby-2.5.3/test/ruby/test_time_tz.rb:276]:
TZ=Asia/Tokyo Time.utc(1951, 9, 8, 14, 0, 0).localtime.
<"1951-09-08 23:00:00 +0900"> expected but was
<"1951-09-09 00:00:00 +1000">.
  2) Failure:
TestTimeTZ#test_gen_Asia_Tokyo_54 [/builddir/build/BUILD/ruby-2.5.3/test/ruby/test_time_tz.rb:312]:
TZ=Asia/Tokyo Time.local(0, 0, 23, 8, 9, 1951, nil, nil, false, nil).
<"1951-09-08 23:00:00 +0900"> expected but was
<"1951-09-08 23:00:00 +1000">.
Finished tests in 331.285379s, 52.4563 tests/s, 6839.4657 assertions/s.
17378 tests, 2265815 assertions, 2 failures, 0 errors, 62 skips
ruby -v: ruby 2.5.3p105 (2018-10-18 revision 65156) [s390x-linux]
make: *** [uncommon.mk:698: yes-test-almost] Error 2


Please, rebuild the module with --optional rebuild_strategy=all when fixed.

Comment 1 Jun Aruga 2018-12-17 11:22:12 UTC
Sure, We need to apply below patch on Fedora ruby master branch.

Fix Tokyo TZ tests.
https://src.fedoraproject.org/rpms/ruby/c/c80ecd9db905f328079a9c8afee70a34e1dcc18c?branch=master

Comment 2 Jun Aruga 2018-12-17 13:17:06 UTC
Sent PR.

https://src.osci.redhat.com/rpms/ruby/pull-request/12

I tried to push, but declined. Please change acks to push it.

```
$ git push origin stream-ruby-2.5
Counting objects: 4, done.
Delta compression using up to 4 threads.
Compressing objects: 100% (4/4), done.
Writing objects: 100% (4/4), 1.45 KiB | 743.00 KiB/s, done.
Total 4 (delta 2), reused 1 (delta 0)
remote: *** Checking commit 1637652b12e97abc0f716ae1a256818dbf067c7c
remote: *** Resolves:
remote: ***   Unapproved:
remote: ***     rhbz#1659807 (release?, qa_ack?, internal_target_release=8.0.0.0, pm_ack?, devel_ack?)
remote: *** No approved issue IDs referenced in log message or changelog for 1637652b12e97abc0f716ae1a256818dbf067c7c
remote: *** Unapproved issue IDs referenced in log message or changelog for 1637652b12e97abc0f716ae1a256818dbf067c7c
remote: *** Commit 1637652b12e97abc0f716ae1a256818dbf067c7c denied
remote: *** Current checkin policy requires:
remote:     ((release == + and internal_target_release == 8.0.0.0 and ((KeyWord(FutureFeature) and (blocker == + or exception == +)) or not(KeyWord(FutureFeature)))) or ((jiraProject == RHELPLAN) and (Dev Approval in (Committed, Targeted, Proposed)) and (QE Approval in (Committed, Targeted, Proposed)) and (PM Approval != No) and (CEE Approval != No) and (Docs Approval != No)))
remote: *** See https://mojo.redhat.com/docs/DOC-1020853 for more information
remote: hooklet hooks/update.secondary.d/01-gitbzverify.py failed
remote: hooks/update.secondary died
remote: error: hook declined to update refs/heads/stream-ruby-2.5
To ssh://pkgs.devel.redhat.com/rpms/ruby
 ! [remote rejected] stream-ruby-2.5 -> stream-ruby-2.5 (hook declined)
error: failed to push some refs to 'ssh://jaruga@pkgs.devel.redhat.com/rpms/ruby'
```

Comment 3 Jun Aruga 2018-12-17 13:34:42 UTC
See also https://bugzilla.redhat.com/show_bug.cgi?id=1660082

Comment 6 Jun Aruga 2018-12-17 17:16:03 UTC
Pushed and built the module.
https://mbsweb.engineering.redhat.com/module/2573

Comment 8 Petr Šabata 2019-01-07 12:37:58 UTC
(In reply to Jun Aruga from comment #6)
> Pushed and built the module.
> https://mbsweb.engineering.redhat.com/module/2573

This wasn't rebuilt with the "all" strategy as noted in the original comment.  Please, rebuild it fully.

Comment 9 Jun Aruga 2019-01-09 12:34:26 UTC
(In reply to Petr Šabata from comment #8)
> (In reply to Jun Aruga from comment #6)
> > Pushed and built the module.
> > https://mbsweb.engineering.redhat.com/module/2573
> 
> This wasn't rebuilt with the "all" strategy as noted in the original
> comment.  Please, rebuild it fully.

Petr, you are right. I built the module without the option. Sorry for that.
I will build the module with --optional rebuild_strategy=all.

Comment 10 Jun Aruga 2019-01-09 13:25:07 UTC
http://download.eng.bos.redhat.com/brewroot/work/tasks/7526/19727526/build.log

It seems new issue for expired SSL cert file now.

```
  1) Failure:
FTPTest#test_tls_with_ca_file [/builddir/build/BUILD/ruby-2.5.3/test/net/ftp/test_ftp.rb:1719]:
Exception raised:
<#<OpenSSL::SSL::SSLError: SSL_connect returned=1 errno=0 state=error: certificate verify failed (certificate has expired)>>.
...
 20) Error:
TestNetHTTPS#test_session_reuse_but_expire:
OpenSSL::SSL::SSLError: SSL_connect returned=1 errno=0 state=error: certificate verify failed (certificate has expired)
    /builddir/build/BUILD/ruby-2.5.3/lib/net/protocol.rb:44:in `connect_nonblock'
    /builddir/build/BUILD/ruby-2.5.3/lib/net/protocol.rb:44:in `ssl_socket_connect'
    /builddir/build/BUILD/ruby-2.5.3/lib/net/http.rb:985:in `connect'
    /builddir/build/BUILD/ruby-2.5.3/lib/net/http.rb:920:in `do_start'
    /builddir/build/BUILD/ruby-2.5.3/lib/net/http.rb:915:in `start'
    /builddir/build/BUILD/ruby-2.5.3/test/net/http/test_https.rb:91:in `test_session_reuse_but_expire'
Finished tests in 292.076975s, 59.5083 tests/s, 7746.5298 assertions/s.
```

Comment 11 Jun Aruga 2019-01-09 13:35:26 UTC
Vit, we might need to apply below patch for Ruby 2.6 to Ruby 2.5 used in RHEL8.
https://src.fedoraproject.org/rpms/ruby/pull-request/32#_21__128
ruby-2.6.0-Try-to-update-cert.patch

Comment 12 Vít Ondruch 2019-01-09 14:08:48 UTC
You can probably take the patch from upstream:

https://bugs.ruby-lang.org/issues/15502
https://github.com/ruby/ruby/commit/6f9b40ea53d8f3fb2a5b1c7ac55c207d42c77ef4.patch

Comment 13 Vít Ondruch 2019-01-09 14:15:50 UTC
Just FYI, it is broken in all Fedoras (as well as Koschei is broken and does not rebuild Rawhide package for some reason :/)

Comment 14 Jun Aruga 2019-01-10 15:37:48 UTC
Vit, thanks for the info.
Obviously the patch is not applied for current Fedora master branch.
Let me fix it on Fedora master then RHEL8 ruby module.
I will send pull-request for that.

Comment 15 Jun Aruga 2019-01-11 13:48:22 UTC
RHEL8 module ruby 2.5 build is success after applying the patch to rpms/ruby

```
$ rhpkg module-build --optional rebuild_strategy=all
$ rhpkg module-build-info 2671
```

https://mbsweb.engineering.redhat.com/module/2671

Comment 16 Jun Aruga 2019-01-14 08:01:08 UTC
The build on errata is not done yet because there is an issue for the errata. 
https://errata.devel.redhat.com/advisory/36290#c43

Comment 17 Jun Aruga 2019-01-15 12:14:49 UTC
I could build it on errata. Sorry it was by my mistake.

I was building with
ruby-2.5-820190111110530-9edba152 (hyphen).
But correct is
ruby-2.5-820190111110530.9edba152 (dot).

Comment 18 Jun Aruga 2019-01-16 13:14:36 UTC
I opened 2 bugzilla tickets for errata.

An blocking issue on errata. Empty Test results summary
https://bugzilla.redhat.com/show_bug.cgi?id=1666721

Suggestion to enhance the tag name.
https://bugzilla.redhat.com/show_bug.cgi?id=1666713

Comment 19 Jun Aruga 2019-02-21 10:25:12 UTC
> An blocking issue on errata. Empty Test results summary
> https://bugzilla.redhat.com/show_bug.cgi?id=1666721

This issue is still not fixed.
Ops team is working for that.

Comment 20 Jun Aruga 2019-02-26 12:56:00 UTC
Above issue was fixed.


Note You need to log in before you can comment on or make changes to this bug.